# TProgressBarHelper Class Reference
[Shell Utilities]

List of all members.

## Public Member Functions
| TProgressBarHelper (const TMCString &inPrompt, real32 inMaxValue=100.0f)
| ~TProgressBarHelper ()
void | SetProgressPrompt (TMCString &inPrompt)
void | IncrementProgress (real32 inIncrement)
void | SetProgressValue (real32 inValue)
void | SetProgressValue0to1 (real32 inValue)
void | SetProgressDelay (const real seconds)
IMCUnknown * | GetProgressKey () const
## Protected Attributes
TMCCountedPtr< IMCUnknown > | fProgressKey
real32 | fMaxValue

## Constructor & Destructor Documentation

TProgressBarHelper::TProgressBarHelper | ( | const TMCString & | inPrompt,
|  | real32 | inMaxValue = `100.0f` |
| ) |  |  |

Constructor for the TProgressBarHelper. Starts a new progress bar.

Parameters:

  | inPrompt | Title to associate with the progress bar
  | inMaxValue | Maximum value for the progress bar. When the progress bar reaches this number, it will appear full.

TProgressBarHelper::~TProgressBarHelper | ( |  | ) |

## Member Function Documentation

IMCUnknown* TProgressBarHelper::GetProgressKey | ( |  | ) | const`[inline]`

returns the progress key.

void TProgressBarHelper::IncrementProgress | ( | real32 | inIncrement | ) |

Increments the progress counter by inIncrement.

Parameters:

  | inIncrement | Increment to add to the bar's counter

void TProgressBarHelper::SetProgressDelay | ( | const real | seconds | ) |

Sets the time that the progress will wait before being displayed

Parameters:

  | seconds | The time to wait before displaying the progress bar on the screen.

void TProgressBarHelper::SetProgressPrompt | ( | TMCString & | inPrompt | ) |

Changes the title of the progress bar.

Parameters:

  | inPrompt | New title for progress bar.

void TProgressBarHelper::SetProgressValue | ( | real32 | inValue | ) |

Sets the progress value to a given value (on a scale of 0 to the max value of the progress bar)

Parameters:

  | inValue | Value to assign to the bar

void TProgressBarHelper::SetProgressValue0to1 | ( | real32 | inValue | ) |

Sets the progress value to a given value (on a scale of 0 to 1.0)

Parameters:

  | inValue | Value to assign to the bar

## Member Data Documentation

real32 TProgressBarHelper::fMaxValue`[protected]`

TMCCountedPtr<IMCUnknown> TProgressBarHelper::fProgressKey`[protected]`

The documentation for this class was generated from the following file:

- ProgressHelper.h